Bug 73022 - crashes when transitions out of free mode
crashes when transitions out of free mode
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-08-29 20:29 EDT by Chris Ricker
Modified: 2015-01-07 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-20 15:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-08-29 20:29:28 EDT
I'm using up2date on beta5 using the one free non-privileged entitlement per
email address.  I started a massive up2date (~350 megs).  The up2date proceeded
for 82% of the download, at which time the RHN servers started blocking free
downloads (switched to purchased entitlement mode).

This crashed up2date on my client.  The screen is now hung (the only available
option is cancel), and the traceback in the shell is:

[kaboom@skuld up2date]$ up2date
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1461, in doRetrieval
  File "/usr/share/rhn/up2date_client/up2date.py", line 255, in getPackage
    buffer = rpcServer.doCall(rpmSource.psc.packageSource.getPackage, pkg,
msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 134, in doCall
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 110, in updateLoginInfo
    loginInfo = login()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 99, in login
    loginInfo = rpcServer.doCall(server.up2date.login, systemId)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 110, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 123, in _request
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 133, in request
    return self.parse_response(fd)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 153, in
    return u.close()
  File "/usr/lib/python2.2/xmlrpclib.py", line 571, in close
    raise apply(Fault, (), self._stack[0])
xmlrpclib.Fault: <Fault -51: '\nError Message:\n    Free service limited due to
high load, please try again later (server 1001170335)\nError Class Code:
51\nError Class Info: \n     Due to extremely high traffic, access to Red Hat
Network is currently  \n     limited to subscription customers.  Please try
again later.  If you \n     would like to become a subscription customer, go to
\n     https://rhn.redhat.com/preview/priority_service.pxt for more
information.\nExplanation: \n     An error has occurred while processing your
request. If this problem\n     persists please submit a bug report to
rhn-help@redhat.com.\n     If you choose to submit the bug report, please be
sure to include\n     details of what you were trying to do when this error
occurred and\n     details on how to reproduce this problem.\n'>
[kaboom@skuld up2date]$ 

This is with up2date-2.9.55-2
Comment 1 Adrian Likins 2004-08-20 15:38:33 EDT
closing, no throttling anymore

Note You need to log in before you can comment on or make changes to this bug.